
Figure - Bug #114835
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Sound】设备进入息屏模式时，会弹出通知音打断蓝牙音乐播放
2022-12-26 20:27 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-26

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-06

Test Type: ST Root cause: 播放服务在后台被杀了，现在添加进了白名单

Description

【前提条件】

设备刷机和恢复出厂后，第一次开机

【测试步骤】

1、push一个mp3文件在设备

2、连接BT耳机或影响

3、播放音乐、设置为单曲循环模式

4、上划返回桌面让音乐在后台运行

5、等待20s自动进入屏保模式

【预期结果】

5. 音乐正常播放

【实际结果】

5. 音乐停止播放

History

#1 - 2022-12-27 19:08 - CD MM陈海波

- File notification added

#2 - 2022-12-27 19:17 - CD MM陈海波

- Category changed from BSP to CD-FW

- Assignee changed from CD MM陈海波 to CD FW-王伟

此问题是这样的, 当连接蓝牙耳机播放音乐(音乐循环播放), 进入屏保后过一些时间, 

SystemUI会发出一个tag为'empty_media'的消息音出来. 

这个消息音会申请音频焦点(调用requestAudioFocus).

这个时候, 就会将播放的music暂停.

具体应该和下边相关: 

frameworks/base/packages/SystemUI/src/com/android/systemui/statusbar/NotificationMediaManager.java

需要System UI模块帮忙看下如何处理.
补充下: 

从浩云的信息得知, 这个消息音似乎是不需要的. 请double-check下是否需要, 如果不需要, 请移除. 

如果没理解错的话, 'empty_media' 处理的好像是播放完, 没有下一首的逻辑? 这部分的代码设计和实现麻烦确认下.

多谢!

#3 - 2022-12-27 19:20 - CD FW 曹覃刚

- Assignee changed from CD FW-王伟 to CD FW 曹覃刚

#4 - 2023-01-05 13:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173973 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:SnapdragonMusic: Fix the problem that music playback will be interrupted1.Block the notification sound of the update playback control UI2.Fix the problem

that music playback will be interruptedTC-RID: 1201-0301201IssueID: TS-R-BUG-114835Change-Id: I1ce09247e56d34289a60110893dd3bf2b32d0a60

#5 - 2023-01-05 13:36 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-06

- Root cause set to 播放服务在后台被杀了，现在添加进了白名单

#6 - 2023-01-13 16:52 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过

#7 - 2023-01-13 16:52 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

notification 66.2 KB 2022-12-27 CD MM陈海波
